ignission

Member
Jul 4, 2003
21
0
151
Deefield Beach, FL
Just upgraded to Latest STABLE and now all of my websites are not accessible on the web port80 (server hangs). Looks like something messed up with Apache. I check status, it says its running. Tried restarting via WHM and command line, and get error message. Can anyone help me?

Can't locate auto/POSIX/autosplit.ix in @INC (@INC contains: /usr/lib/perl5/5.6.1/i686-linux /usr/lib/perl5/5.6.1 /usr/lib/perl5/site_perl/5.6.1/i686-linux /usr/lib/perl5/site_perl/5.6.1 /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/5.6.1/AutoLoader.pm line 146. at /usr/lib/perl5/5.6.1/i686-linux/POSIX.pm line 5 Can't locate auto/POSIX/load_import.al in @INC (@INC contains: /usr/lib/perl5/5.6.1/i686-linux /usr/lib/perl5/5.6.1 /usr/lib/perl5/site_perl/5.6.1/i686-linux /usr/lib/perl5/site_perl/5.6.1 /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/5.6.1/i686-linux/POSIX.pm line 15 BEGIN failed--compilation aborted at /scripts/restartsrv line 27.

cPanel.net Support Ticket Number:
 

mickeymouse

Well-Known Member
Sep 16, 2003
388
0
166
Dear ignission,

This happens you already have a Perl by the same version installed,search back p5p archives for autosplit.ix. Adding \"rw\" permissions to perl 5.6.1 package helps you to solve this problem. If you have difficulty in building perl, and none of the advice in this file helps, and careful reading of the error message and the relevant manual pages on your system doesn\'t help either, then you should send a message to either the comp.lang.perl.misc newsgroup or to [email protected] with an accurate description of your problem.

Regards,